<template>
	<div>
		<v-dialog v-model="visible" width="1200" persistent>
			<v-card>
				<v-toolbar color="#c51f2f">
					<v-spacer></v-spacer>
					<v-toolbar-items>
						<v-btn dark text icon @click="closeDocumentModal">
							<v-icon>fas fa-times</v-icon>
						</v-btn>
					</v-toolbar-items>
				</v-toolbar>
				<v-card-text>
					<iframe :src="document" width="100%" height="430px"></iframe>
				</v-card-text>
			</v-card>
		</v-dialog>
	</div>
</template>

<script>
import EventBus from "../../bus";

export default {
	name: "ModalDocument",
	props: ["visible", "document"],
	methods: {
		closeDocumentModal() {
			EventBus.$emit("closeDocumentModalStudent");
		}
	},
	mounted() {
		// cierra el dialog del documento con la tecla ESC
		document.addEventListener("keydown", event => {
			const keyWhich = event.which;
			if (keyWhich === 27) {
				this.closeDocumentModal();
			}
		});
	}
};
</script>